export declare class ConfigFile {
    readonly jiraHost: string;
    readonly jiraEmail: string;
    readonly jiraAccessToken: string;
    readonly githubAccessToken: string;
    private readonly json;
    constructor(json?: ConfigFileJSON);
    update(setting: 'jiraHost' | 'jiraEmail' | 'jiraAccessToken' | 'githubAccessToken', value: string): ConfigFile;
    get(setting: 'jiraHost' | 'jiraEmail' | 'jiraAccessToken' | 'githubAccessToken'): string;
    toString(): string;
}
export interface ConfigFileJSON {
    jiraHost: string;
    jiraEmail: string;
    jiraAccessToken: string;
    githubAccessToken: string;
}
