import BaseCommand from '../base-command';
export default class StartWorkCommand extends BaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static examples: string[];
    private jiraClient?;
    run(): Promise<void>;
    private transitionTicketToInProgress;
    private checkoutBranch;
    private getBranchName;
    private sanitizeBranchName;
}
